Shopify
Orders
GET
Retrieve Shopify orders with payment, totals, and lifecycle timestamps
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
integrationId?stringShopify integration identifier
integrationName?stringShopify integration name
customerId?stringFilter by Shopify customer ID
storeId?stringFilter by store identifier
name?stringFilter by order name/#
id?stringFilter by order ID
page?integerPage number (default 1)
Default
1limit?integerItems per page (default 500, max 5000)
Range
value <= 5000Default
500createdStart?stringFilter by creation date start (ISO 8601)
Format
date-timecreatedEnd?stringFilter by creation date end (ISO 8601)
Format
date-timelastModifiedStart?stringFilter by last update date start
Format
date-timelastModifiedEnd?stringFilter by last update date end
Format
date-timeclosedDateStart?stringFilter by closed date start
Format
date-timeclosedDateEnd?stringFilter by closed date end
Format
date-timeprocessedDateStart?stringFilter by processed date start
Format
date-timeprocessedDateEnd?stringFilter by processed date end
Format
date-timeShopify orders response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/shopify/orders?organizationId=org_123"{ "data": [ { "id": "string", "cancelled_at": "2019-08-24T14:15:22Z", "cancel_reason": "string", "closed": true, "closed_at": "2019-08-24T14:15:22Z", "confirmed": true, "created_at": "2019-08-24T14:15:22Z", "currency_code": "string", "customer_id": "string", "customer_email": "user@example.com", "email": "user@example.com", "fully_paid": true, "name": "string", "processed_at": "2019-08-24T14:15:22Z", "source_name": "string", "total_discounts_set_presentment_money_amount": 0.1, "total_discounts_set_presentment_money_currency_code": "string", "total_price_set_presentment_money_amount": 0.1, "total_price_set_presentment_money_currency_code": "string", "total_received_set_presentment_money_amount": 0.1, "total_received_set_presentment_money_currency_code": "string", "total_refunded_set_presentment_money_amount": 0.1, "total_refunded_set_presentment_money_currency_code": "string", "total_shipping_price_set_presentment_money_amount": 0.1, "total_shipping_price_set_presentment_money_currency_code": "string", "total_tax_set_presentment_money_amount": 0.1, "total_tax_set_presentment_money_currency_code": "string", "updated_at": "2019-08-24T14:15:22Z", "integration_id": "string", "organization_id": "string", "document_id": "string", "integration_name": "string", "inserted_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}